Get Page Content

Get text and component instance content from a static page.

Localization

Required scope | pages:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Lear more about localization.

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
pageIdstring
Page ID
branchIdstring or nullformat: "objectid"
The unique identifier of a [specific page branch.](https://help.webflow.com/hc/en-us/articles/33961355506195-Page-branching)
nodeslist of objects
paginationobject
Pagination object
lastUpdatedstring or nullRead-onlyformat: "date-time"
The date the page dom was most recently updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error